`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 08/26/2022 10:13:43 AM
// Design Name: 
// Module Name: DAC
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module dac(
    input CLK, // user defined clock below 30MHz
    input RESET, // active low
    input [15:0] DAC_DATA, // 16-bit data from user to convert to analog signal
    output reg SYNC, 
    output reg SCLK,
    output reg DIN,
    output reg [7:0] CNT // for syncing DAC_DATA input
    );

// DAC Wires/Registers
reg     TR_CK;
reg [7:0]  ST;
reg [23:0] RDATA;
//wire [15:0] DAC_DATA;

//--FSM--
 always @( negedge RESET or posedge CLK  )begin
 if ( !RESET) begin 
   ST<=0;
	SYNC  <=1; 
	SCLK  <=0;  
	DIN   <=0 ;  	 
	CNT   <=0; 
	TR_CK <=0;
  end
 else begin 
  case (ST)
  0: begin 
     { DIN , RDATA[23:0] }   <= {  9'h0, DAC_DATA[15:0]  } ;
	  	CNT   <=0; 
       ST<=1 ;  
  end
  1: begin 
       SCLK  <=0;
     { DIN , RDATA[23:0] }   <= { RDATA[23:0] ,1'b0 } ;	 
	    SYNC  <=0; 
	    ST<= 2; 
  end
  2:begin 
	     CNT <= CNT +1; 
		  ST<= 3; 
		  SCLK  <=1; 
   end
  3: begin 
        SCLK  <=0;	  
	  if  ( CNT==24) begin 
	       ST<=4  ;  	
		    TR_CK <=1;	 
		end 
	   else  ST<=1 ;  
  end
  4: begin 
      ST<=0 ;  	
	   SYNC  <=1; 
	   TR_CK <=0;
	   DIN   <=0 ;
  end  
  endcase 
  end
 end
 
endmodule